#--------------------------------------------------------------------------------
# 참조 모듈 목록.
#--------------------------------------------------------------------------------
from __future__ import annotations
from typing import Any, Final, Callable, Iterator, Optional, Type, TypeVar, Union, Tuple, List, Dict, Set, cast
import builtins


#--------------------------------------------------------------------------------
#  무명 클래스.
# - 오브젝트를 상속받은 클래스 중 가장 단순한 형태의 임시 클래스 타입.
# - 이 클래스의 인스턴스는 어트리뷰트 설정 기능만이 존재한다.
# - 실체는 리플렉션과 같은 동적 변수이므로 인텔리센스에서는 해석상 클래스 인정이 되지 않는다. (주의)
# - 다음과 같은 방식으로 사용.
# - temp = AnonymousClass()
# - temp.AAA = 5
#--------------------------------------------------------------------------------
AnonymousClass = type("AnonymousClass", tuple([object]), dict())